%define upstream_name    Dist-Zilla-PluginBundle-YANICK
%define upstream_version 0.13.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Be like Yanick when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.170.0
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker)
BuildRequires: perl(Dist::Zilla::Plugin::ChangeStats::Git)
BuildRequires: perl(Dist::Zilla::Plugin::CoalescePod)
BuildRequires: perl(Dist::Zilla::Plugin::CoderwallEndorse)
BuildRequires: perl(Dist::Zilla::Plugin::Covenant)
BuildRequires: perl(Dist::Zilla::Plugin::Git)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::HelpWanted)
BuildRequires: perl(Dist::Zilla::Plugin::Homepage)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide) >= 1.200.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PreviousVersion::Changelog)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::SchwartzRatio)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.16.0
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that Yanick uses to release his distributions.
It's roughly equivalent to

    [ModuleBuild]

    [GithubMeta]
    remote=github

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 366707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.13.0-1.mga3
+ Revision: 317859
- update to 0.13.0

* Wed Sep 26 2012 jquelin <jquelin> 0.12.0-1.mga3
+ Revision: 298354
- update to 0.12.0

* Mon Dec 12 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 180940
- update to 0.5.0

* Thu Oct 13 2011 jquelin <jquelin> 0.4.2-1.mga2
+ Revision: 154436
- update to 0.4.2

* Wed Aug 31 2011 jquelin <jquelin> 0.4.1-1.mga2
+ Revision: 137054
- update to 0.4.1
- update to 0.4.0

* Tue Mar 15 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 71710
- imported package perl-Dist-Zilla-PluginBundle-YANICK

